Bug 1118372 - [abrt] rhythmbox: g_type_check_instance_is_fundamentally_a(): rhythmbox killed by SIGSEGV
Summary: [abrt] rhythmbox: g_type_check_instance_is_fundamentally_a(): rhythmbox kille...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bb1e4a012a0a23c7fe0fc2ec0ea...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 14:37 UTC by Vadim Rutkovsky
Modified: 2015-12-02 16:09 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:14:59 UTC


Attachments (Terms of Use)
File: backtrace (35.15 KB, text/plain)
2014-07-10 14:37 UTC, Vadim Rutkovsky
no flags Details
File: cgroup (206 bytes, text/plain)
2014-07-10 14:37 UTC, Vadim Rutkovsky
no flags Details
File: core_backtrace (19.00 KB, text/plain)
2014-07-10 14:37 UTC, Vadim Rutkovsky
no flags Details
File: dso_list (22.01 KB, text/plain)
2014-07-10 14:37 UTC, Vadim Rutkovsky
no flags Details
File: environ (1.15 KB, text/plain)
2014-07-10 14:37 UTC, Vadim Rutkovsky
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-10 14:37 UTC, Vadim Rutkovsky
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-10 14:37 UTC, Vadim Rutkovsky
no flags Details
File: maps (95.20 KB, text/plain)
2014-07-10 14:37 UTC, Vadim Rutkovsky
no flags Details
File: open_fds (1.16 KB, text/plain)
2014-07-10 14:37 UTC, Vadim Rutkovsky
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2014-07-10 14:37 UTC, Vadim Rutkovsky
no flags Details
File: var_log_messages (359 bytes, text/plain)
2014-07-10 14:37 UTC, Vadim Rutkovsky
no flags Details

Description Vadim Rutkovsky 2014-07-10 14:37:18 UTC
Description of problem:
Rhythmbox with Last.fm plugin enabled frequently crashes on startup

Version-Release number of selected component:
rhythmbox-3.0.3-2.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/rhythmbox
kernel:         3.16.0-0.rc4.git1.2.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at /lib64/libgobject-2.0.so.0
 #2 impl_deactivate at /usr/lib64/rhythmbox/plugins/audioscrobbler/libaudioscrobbler.so
 #3 ffi_call_unix64 at /lib64/libffi.so.6
 #4 ffi_call at /lib64/libffi.so.6
 #5 g_callable_info_invoke at /lib64/libgirepository-1.0.so.1
 #6 g_function_info_invoke at /lib64/libgirepository-1.0.so.1
 #7 peas_gi_method_call at /lib64/libpeas-1.0.so.0
 #8 peas_extension_callv at /lib64/libpeas-1.0.so.0
 #9 peas_extension_call_valist at /lib64/libpeas-1.0.so.0
 #10 peas_extension_call at /lib64/libpeas-1.0.so.0

Potential duplicate: bug 1114159

Comment 1 Vadim Rutkovsky 2014-07-10 14:37:21 UTC
Created attachment 917107 [details]
File: backtrace

Comment 2 Vadim Rutkovsky 2014-07-10 14:37:22 UTC
Created attachment 917108 [details]
File: cgroup

Comment 3 Vadim Rutkovsky 2014-07-10 14:37:24 UTC
Created attachment 917109 [details]
File: core_backtrace

Comment 4 Vadim Rutkovsky 2014-07-10 14:37:25 UTC
Created attachment 917110 [details]
File: dso_list

Comment 5 Vadim Rutkovsky 2014-07-10 14:37:27 UTC
Created attachment 917111 [details]
File: environ

Comment 6 Vadim Rutkovsky 2014-07-10 14:37:28 UTC
Created attachment 917112 [details]
File: exploitable

Comment 7 Vadim Rutkovsky 2014-07-10 14:37:29 UTC
Created attachment 917113 [details]
File: limits

Comment 8 Vadim Rutkovsky 2014-07-10 14:37:31 UTC
Created attachment 917114 [details]
File: maps

Comment 9 Vadim Rutkovsky 2014-07-10 14:37:32 UTC
Created attachment 917115 [details]
File: open_fds

Comment 10 Vadim Rutkovsky 2014-07-10 14:37:33 UTC
Created attachment 917116 [details]
File: proc_pid_status

Comment 11 Vadim Rutkovsky 2014-07-10 14:37:34 UTC
Created attachment 917117 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-11-04 13:04:01 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-12-02 03:15:04 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.